BSON_UTF8_VALIDATE(3)

SYNOPSIS

            bool
            bson_utf8_validate (const char *utf8, size_t utf8_len, bool allow_null);

PARAMETERS

    •   utf8: A string to verify.

    •   utf8_len: The length of utf8 in bytes.

    •   allow_null: A bool indicating that embedded \0 bytes are allowed.

DESCRIPTION

Validates that the content within utf8 is valid UTF-8 (by the RFC 3629 standard). If allow_null is true, then embedded NULL bytes are allowed (\0).

RETURNS

true if utf8 contains valid UTF-8.

AUTHOR
MongoDB, Inc

COPYRIGHT
2009-present, MongoDB, Inc.